<?php
/**
 * Lite dependency injection definitions.
 *
 * @package Awesomemotive\Rewardswp\DependencyInjection
 * @since 1.0.0
 */

namespace Awesomemotive\Rewardswp\DependencyInjection;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Awesomemotive\Rewardswp\Interfaces\ContainerDefinitionsInterface;

class LiteDefinitions extends BaseDefinitions implements ContainerDefinitionsInterface {

	/**
	 * Retrieve the container definitions.
	 *
	 * @since 1.0.0
	 * @return array The array of definitions.
	 */
	public function get_definitions(): array {
		return $this->get_shared_definitions();
	}
}
